package com.udapsoft.modular.web.ibsheet7.exception;

import com.udapsoft.modular.core.exception.ModularException;

public class IBSheet7MessageException extends ModularException {
	private static final long serialVersionUID = 7908900490467366507L;
	private int code = -1;

	public IBSheet7MessageException(String message, Throwable t) {
		super(message, t);
	}

	public IBSheet7MessageException(String message) {
		super(message);
		this.code = -100;
	}

	public IBSheet7MessageException(int errCode, String message) {
		super(message);
		this.code = errCode;
	}

	public IBSheet7MessageException(Throwable t) {
		super(t);
	}

	public int getCode() {
		return this.code;
	}
}
